Groovy Documentation

## groovy.lang
[Java] Class DeprecationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.DeprecationException

    public class DeprecationException
    extends java.lang.RuntimeException

Use this exception to mark a method implementation as being deprecated. Use the message to indicate the recommended way of calling the desired functionality. Make throwing this exception the only line in the method implementation, i.e. unlike the JavaDoc deprecated feature there is no relay to the new implementation but an early and deliberate halt of execution ("fail early"). This exception is supposed to be used in the SNAPSHOT releases only. Before release, all references to this exception should be resolved and the according methods removed.

Authors:
  Dierk Koenig

Constructor Summary
`DeprecationException(java.lang.String message)`
`DeprecationException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException

java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Methods inherited from class java.lang.Exception

java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Constructor Detail

### DeprecationException

    public DeprecationException(java.lang.String message)

### DeprecationException

    public DeprecationException(java.lang.String message, java.lang.Throwable cause)

Groovy Documentation